#ifndef LOCAL_SHARED_H
#define LOCAL_SHARED_H
#include "bool.h"
#include <sys/types.h>

struct settings {
	bool debug;
	int keep_alive_timeout;		/* kick clients quiet this long */
	unsigned short port;
	unsigned long bind_ip;
	int maxcons;			/* max of sokcount before we refuse
					 connections */
	char *authfile;			/* file of authentication data  */
	char *commandon;		/* e.g. "ipchains -A forward -j MASQ
					   -s %d -i %i" */
	char *commandoff;
	char *allowed_hostmask;		/* e.g. "192.168.1.0/255.255.255.0" */
	char *dwunpid;			/* /var/run/dwun.pid */
};


bool LOG_TO_SYSLOG;	/* log to syslog? (yet) */

struct pipe_msg_buf {
	pid_t from;	/* child pid */
	char username[9];
	int command;
};

#endif
