#include "shared.h"

#define FATAL_TIMEOUT -1
#define FATAL_TERM -2 	/* fatal error, close fast; not sent by client */
#define FATAL_SIGNAL -3

#define COM_HELP 0
#define COM_CONNECT 1
#define COM_DISCONNECT 2
#define COM_ALIVE 3 	/* do-nothing keep alive message */
#define COM_USER 4
#define COM_PASS 5
#define COM_QUIT 6 	/* close connection */
#define COM_CLOSE 7	/* "disconnect" and de-auth */
#define COM_INVALID 8	/* invalid command */

#define ADM_SHUTDOWN	0	/* stop server */
#define ADM_RESTART	1	/* restart server */
#define ADM_KILL	2	/* kill child pid */
#define ADM_LOCK	3	/* disable account */
#define ADM_UNLOCK	4	/* enable account */
#define ADM_SHOWLOCKS	5	/* list locked usernames */
#define ADM_ZAP		6	/* disable then kill */
#define ADM_CLOSE	7	/* deauth */
#define ADM_ALIVE	8	/* do-nothing keep alive message */
#define ADM_HELP	9
#define ADM_LIST	10	/* show clients struct */
#define ADM_INVALID	11
#define ADM_RECONNECT	12
#define ADM_QUIT	13

#define Q_NORMAL 0
#define Q_TRUE 1	/* cleanup and exit adminhandler() with TRUE */
#define Q_FALSE 2	/* exit with FALSE */

int child(int chldsok, const int pwrite, const int pread, char *authfile);

