#include <errno.h>
#include <fcntl.h>
#include <unistd.h>
#include <string.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <sys/time.h>
#include <stdio.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <netdb.h>
#include <pwd.h>
#ifdef __GNU_LIBRARY__
#include <getopt.h>
#endif
#include <signal.h>
#include <stdlib.h>

int main(int argc, char *argv[]);
static int auth(const char *user, char *buf);
static int keep_alive(char *buf, int keep_alive_secs);
static int network(struct sockaddr_in *addr);
static int recvline(char *buf, int len);
static int sendline(const void *msg);
static void helpinfo(char *progname);
/* static int send_alive(char *buf); */
static void sighandler(int sig);
static int flush_recv(void);

#define MAXLINE 256

#define REMOTE_KEEP_ALIVE 20

#define CONMSG "Hello\n"
#define OKAYMSG "OKAY\n"
#define READYMSG "Ready\n"

static int sok;
static sig_atomic_t keep_alive_time = 0;
